commit:     0be003699372b4da0912aa7a6ab97ec9d03b65e7
Author:     Vladimir Pavljuchenkov (SpiderX) <spiderx <AT> spiderx <DOT> dp 
<DOT> ua>
AuthorDate: Tue Feb  6 16:32:38 2018 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Feb  9 09:32:43 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0be00369

net-im/slack-bin: fix 645918 (support for ayatana)

Closes: https://bugs.gentoo.org/645918
Closes: https://github.com/gentoo/gentoo/pull/7051
Package-Manager: Portage-2.3.19, Repoman-2.3.6

 net-im/slack-bin/slack-bin-3.0.5.ebuild | 15 +++++++++++++--
 1 file changed, 13 insertions(+), 2 deletions(-)

diff --git a/net-im/slack-bin/slack-bin-3.0.5.ebuild 
b/net-im/slack-bin/slack-bin-3.0.5.ebuild
index 6f2f809380d..711f490d302 100644
--- a/net-im/slack-bin/slack-bin-3.0.5.ebuild
+++ b/net-im/slack-bin/slack-bin-3.0.5.ebuild
@@ -15,7 +15,7 @@ 
SRC_URI="https://downloads.slack-edge.com/linux_releases/${MY_PN}-desktop-${PV}-
 LICENSE="all-rights-reserved"
 SLOT="0"
 KEYWORDS="~amd64 -*"
-IUSE="pax_kernel"
+IUSE="ayatana pax_kernel"
 RESTRICT="bindist mirror"
 
 RDEPEND="app-crypt/libsecret:0[${MULTILIB_USEDEP}]
@@ -47,7 +47,8 @@ RDEPEND="app-crypt/libsecret:0[${MULTILIB_USEDEP}]
        x11-libs/libXrender:0[${MULTILIB_USEDEP}]
        x11-libs/libXScrnSaver:0[${MULTILIB_USEDEP}]
        x11-libs/libXtst:0[${MULTILIB_USEDEP}]
-       x11-libs/pango:0[${MULTILIB_USEDEP}]"
+       x11-libs/pango:0[${MULTILIB_USEDEP}]
+       ayatana? ( dev-libs/libappindicator:2[${MULTILIB_USEDEP}] )"
 
 QA_PREBUILT="opt/slack/slack
        opt/slack/resources/app.asar.unpacked/node_modules/*
@@ -57,6 +58,16 @@ QA_PREBUILT="opt/slack/slack
 
 S="${WORKDIR}"
 
+src_prepare() {
+       default
+
+       if use ayatana ; then
+               sed -i '/Exec/s|=|=env XDG_CURRENT_DESKTOP=Unity |' \
+                       usr/share/applications/slack.desktop \
+                       || die "sed failed for slack.desktop"
+       fi
+}
+
 src_install() {
        insinto /usr/share/pixmaps
        doins usr/share/pixmaps/${MY_PN}.png

Reply via email to